ECHO off
REM ****************************************************************
REM *   Copyright 2015, David Knarr, Studio 1 Productions
REM *   http://www.studio1productions.com
REM *   CancelPrint.bat   Version 1.2     Version Date 04-03-2015
REM *
REM *   Cancels All Print Jobs on Windows System
REM *   Included Print Jobs going to a Network Printer
REM *
REM *   This program is Free, No Charge, Costs Nothing...
REM ****************************************************************
CLS
COLOR 17
ECHO         CancelPrint ver. 1.2 from Studio 1 Productions
ECHO .
ECHO Stopping the Print Spooler.
echo.
net stop spooler

echo.
ECHO Canceling Local Print Jobs.
REM the next line cause the program to pause for 1 second.
PING localhost -n 1 > nul

DEL /f /q %WinDir%\System32\spool\PRINTERS\*.shd > NUL
DEL /f /q %WinDir%\System32\spool\PRINTERS\*.spl > NUL

echo. 
ECHO Canceling Network Print Jobs.

FOR /d %%X in (%WinDir%\System32\spool\SERVERS\*.*) do DEL /f /q %%X\*.shd > NUL
FOR /d %%X in (%WinDir%\System32\spool\SERVERS\*.*) do DEL /f /q %%X\*.spl > NUL
REM the next line cause the program to pause for 1 second.
PING localhost -n 1 > nul

echo.
ECHO Starting the Print Spooler.
echo.
net start spooler
echo.
ECHO All Print Jobs Canceled
echo.
echo. 
PAUSE
